# Gimp.ProcedureConfig.prototype.get_choice_id

    function get_choice_id(property_name: String): Number(gint) {
        // Gjs wrapper for gimp_procedure_config_get_choice_id()
    }

A utility function which will get the current string value of a [struct@ParamSpecChoice] property in config and convert it to the integer ID mapped to this value. This makes it easy to work with an Enum type locally, within a plug-in code.

Since 3.0

property_name

  the name of a [struct@ParamSpecChoice] property.

Returns